class Cheops < Formula
  desc "CHEss OPponent Simulator"
  homepage "https://logological.org/cheops"
  url "https://files.nothingisreal.com/software/cheops/cheops-1.3.tar.bz2"
  mirror "https://github.com/logological/cheops/releases/download/1.3/cheops-1.3.tar.bz2"
  sha256 "a3ce2e94f73068159827a1ec93703b5075c7edfdf5b0c1aba4d71b3e43fe984e"

  head do
    url "https://github.com/logological/cheops.git"

    option "with-tex", "Build pdf manual"

    depends_on "autoconf" => :build
    depends_on "automake" => :build
    depends_on "libtool" => :build
    depends_on :tex => [:build, :optional]
  end

  def install
    if build.head?
      if build.without? "tex"
        inreplace "Makefile.am",
          "doc_DATA = COPYING NEWS AUTHORS THANKS README doc/cheops.pdf",
          "doc_DATA = COPYING NEWS AUTHORS THANKS README"
      end

      system "autoreconf", "-fiv"
    end

    system "./configure", "--disable-dependency-tracking",
                          "--prefix=#{prefix}"
    system "make", "install"
  end

  test do
    system "#{bin}/cheops", "--version"
  end
end
